(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('devextreme-angular/ui/load-indicator'), require('@ng-bootstrap/ng-bootstrap'), require('narik-infrastructure'), require('narik-common'), require('@angular/forms'), require('angular2-uuid'), require('narik-ui-core'), require('@angular/common'), require('@angular/core'), require('narik-core'), require('@ngx-translate/core'), require('narik-app-core')) :
    typeof define === 'function' && define.amd ? define('narik-ui-ng-bootstrap', ['exports', 'devextreme-angular/ui/load-indicator', '@ng-bootstrap/ng-bootstrap', 'narik-infrastructure', 'narik-common', '@angular/forms', 'angular2-uuid', 'narik-ui-core', '@angular/common', '@angular/core', 'narik-core', '@ngx-translate/core', 'narik-app-core'], factory) :
    (factory((global['narik-ui-ng-bootstrap'] = {}),global.loadIndicator,global.ngBootstrap,global.narikInfrastructure,global.narikCommon,global.ng.forms,global.angular2Uuid,global.narikUiCore,global.ng.common,global.ng.core,global.narikCore,global.core$1,global.narikAppCore));
}(this, (function (exports,loadIndicator,ngBootstrap,narikInfrastructure,narikCommon,forms,angular2Uuid,narikUiCore,common,core,narikCore,core$1,narikAppCore) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (b.hasOwnProperty(p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbAutoComplete = /** @class */ (function (_super) {
        __extends(NarikNgbAutoComplete, _super);
        function NarikNgbAutoComplete() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        NarikNgbAutoComplete.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-autocomplete  , narik-autocomplete ",
                        template: "",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS),
                        outputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbAutoComplete; })),
                                multi: true
                            }
                        ],
                        styles: [""]
                    }] }
        ];
        return NarikNgbAutoComplete;
    }(narikUiCore.NarikAutoComplete));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbAutoCompleteModule = /** @class */ (function () {
        function NarikNgbAutoCompleteModule() {
        }
        NarikNgbAutoCompleteModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule, ngBootstrap.NgbTypeaheadModule],
                        declarations: [NarikNgbAutoComplete],
                        exports: [NarikNgbAutoComplete],
                        providers: []
                    },] }
        ];
        return NarikNgbAutoCompleteModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbBusyIndicator = /** @class */ (function () {
        function NarikNgbBusyIndicator() {
        }
        /**
         * @param {?} newState
         * @param {?=} msg
         * @return {?}
         */
        NarikNgbBusyIndicator.prototype.setBusy = /**
         * @param {?} newState
         * @param {?=} msg
         * @return {?}
         */
            function (newState, msg) {
                this.isBusy = newState;
            };
        NarikNgbBusyIndicator.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-busy-indicator , narik-busy-indicator",
                        template: "\r\n",
                        providers: [
                            {
                                provide: narikAppCore.BusyIndicator,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbBusyIndicator; }))
                            }
                        ],
                        styles: [""]
                    }] }
        ];
        NarikNgbBusyIndicator.propDecorators = {
            isBusy: [{ type: core.Input }]
        };
        return NarikNgbBusyIndicator;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbBusyIndicatorModule = /** @class */ (function () {
        function NarikNgbBusyIndicatorModule() {
        }
        NarikNgbBusyIndicatorModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, core$1.TranslateModule],
                        declarations: [NarikNgbBusyIndicator],
                        exports: [NarikNgbBusyIndicator],
                        providers: []
                    },] }
        ];
        return NarikNgbBusyIndicatorModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbButtonComponent = /** @class */ (function (_super) {
        __extends(NarikNgbButtonComponent, _super);
        function NarikNgbButtonComponent(renderer, injector) {
            var _this = _super.call(this, injector) || this;
            _this.renderer = renderer;
            return _this;
        }
        /**
         * @return {?}
         */
        NarikNgbButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        /**
         * @return {?}
         */
        NarikNgbButtonComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () { };
        NarikNgbButtonComponent.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-buuton , narik-button ",
                        template: "\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbButtonComponent.ctorParameters = function () {
            return [
                { type: core.Renderer2 },
                { type: core.Injector }
            ];
        };
        __decorate([
            narikCore.NarikInject(narikUiCore.BUTTON_DEFAULT_OPTIONS, {
                buttonStyle: "mat-raised-button",
                busyFontIcon: "fa-spinner"
            }),
            __metadata("design:type", Object)
        ], NarikNgbButtonComponent.prototype, "defaultOptions", void 0);
        return NarikNgbButtonComponent;
    }(narikUiCore.NarikButton));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbButtonModule = /** @class */ (function () {
        function NarikNgbButtonModule() {
        }
        NarikNgbButtonModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, loadIndicator.DxLoadIndicatorModule],
                        declarations: [NarikNgbButtonComponent],
                        exports: [NarikNgbButtonComponent],
                        providers: []
                    },] }
        ];
        return NarikNgbButtonModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBox = /** @class */ (function (_super) {
        __extends(NarikNgbCheckBox, _super);
        function NarikNgbCheckBox(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbCheckBox.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-checkbox , narik-checkbox",
                        template: "",
                        inputs: __spread(narikUiCore.NARIK_CHECKBOX_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbCheckBox; })),
                                multi: true
                            },
                            {
                                provide: narikUiCore.NarikCheckBox,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbCheckBox; }))
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbCheckBox.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        return NarikNgbCheckBox;
    }(narikUiCore.NarikCheckBox));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBoxModule = /** @class */ (function () {
        function NarikNgbCheckBoxModule() {
        }
        NarikNgbCheckBoxModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbCheckBox],
                        exports: [NarikNgbCheckBox],
                        providers: []
                    },] }
        ];
        return NarikNgbCheckBoxModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBoxList = /** @class */ (function (_super) {
        __extends(NarikNgbCheckBoxList, _super);
        function NarikNgbCheckBoxList(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbCheckBoxList.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-checkbox-list , narik-checkbox-list",
                        template: "\r\n",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbCheckBoxList; })),
                                multi: true
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbCheckBoxList.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        return NarikNgbCheckBoxList;
    }(narikUiCore.NarikCheckBoxList));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCheckBoxListModule = /** @class */ (function () {
        function NarikNgbCheckBoxListModule() {
        }
        NarikNgbCheckBoxListModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            NarikNgbCheckBoxModule
                        ],
                        declarations: [NarikNgbCheckBoxList],
                        exports: [NarikNgbCheckBoxList],
                        providers: []
                    },] }
        ];
        return NarikNgbCheckBoxListModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDataTable = /** @class */ (function (_super) {
        __extends(NarikNgbDataTable, _super);
        function NarikNgbDataTable(injector, changeDetector, document) {
            var _this = _super.call(this, injector) || this;
            _this.changeDetector = changeDetector;
            _this.document = document;
            return _this;
        }
        NarikNgbDataTable.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-data-table , narik-data-table",
                        template: ""
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDataTable.ctorParameters = function () {
            return [
                { type: core.Injector },
                { type: core.ChangeDetectorRef },
                { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
            ];
        };
        return NarikNgbDataTable;
    }(narikUiCore.NarikDataTable));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDataTableModule = /** @class */ (function () {
        function NarikNgbDataTableModule() {
        }
        NarikNgbDataTableModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule, core$1.TranslateModule],
                        declarations: [NarikNgbDataTable],
                        exports: [NarikNgbDataTable],
                        providers: []
                    },] }
        ];
        return NarikNgbDataTableModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDatePicker = /** @class */ (function (_super) {
        __extends(NarikNgbDatePicker, _super);
        function NarikNgbDatePicker(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbDatePicker.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-date-picker , narik-date-picker",
                        template: "\r\n",
                        inputs: __spread(narikUiCore.NARIK_DATE_PICKER_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbDatePicker; })),
                                multi: true
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDatePicker.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        return NarikNgbDatePicker;
    }(narikUiCore.NarikDatePicker));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDatePickerModule = /** @class */ (function () {
        function NarikNgbDatePickerModule() {
        }
        NarikNgbDatePickerModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule, ngBootstrap.NgbDatepickerModule, core$1.TranslateModule],
                        declarations: [NarikNgbDatePicker],
                        exports: [NarikNgbDatePicker],
                        providers: []
                    },] }
        ];
        return NarikNgbDatePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbInput = /** @class */ (function (_super) {
        __extends(NarikNgbInput, _super);
        function NarikNgbInput(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbInput.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-input , narik-input",
                        template: "",
                        inputs: __spread(narikUiCore.NARIK_INPUT_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbInput; })),
                                multi: true
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbInput.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        return NarikNgbInput;
    }(narikUiCore.NarikInput));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbInputModule = /** @class */ (function () {
        function NarikNgbInputModule() {
        }
        NarikNgbInputModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbInput],
                        exports: [NarikNgbInput],
                        providers: []
                    },] }
        ];
        return NarikNgbInputModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbRadioGroup = /** @class */ (function (_super) {
        __extends(NarikNgbRadioGroup, _super);
        function NarikNgbRadioGroup(injector) {
            return _super.call(this, injector) || this;
        }
        NarikNgbRadioGroup.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-radio-group , narik-radio-group",
                        template: "",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbRadioGroup; })),
                                multi: true
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbRadioGroup.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        return NarikNgbRadioGroup;
    }(narikUiCore.NarikRadioGroup));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbRadioGroupModule = /** @class */ (function () {
        function NarikNgbRadioGroupModule() {
        }
        NarikNgbRadioGroupModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbRadioGroup],
                        exports: [NarikNgbRadioGroup],
                        providers: []
                    },] }
        ];
        return NarikNgbRadioGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbSelect = /** @class */ (function (_super) {
        __extends(NarikNgbSelect, _super);
        function NarikNgbSelect(injector) {
            var _this = _super.call(this, injector) || this;
            _this.optionData = [];
            return _this;
        }
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        NarikNgbSelect.prototype.useData = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
            function (data) {
                this.optionData = data;
            };
        NarikNgbSelect.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-select , narik-select",
                        template: "",
                        inputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_INPUTS, narikUiCore.NARIK_SELECT_INPUTS),
                        outputs: __spread(narikUiCore.NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbSelect; })),
                                multi: true
                            }
                        ],
                        styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:-webkit-sticky;position:sticky;background-color:#fff;z-index:10000}"]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbSelect.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        return NarikNgbSelect;
    }(narikUiCore.NarikSelect));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbSelectModule = /** @class */ (function () {
        function NarikNgbSelectModule() {
        }
        NarikNgbSelectModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule, forms.FormsModule],
                        declarations: [NarikNgbSelect],
                        exports: [NarikNgbSelect],
                        providers: []
                    },] }
        ];
        return NarikNgbSelectModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDynamicForm = /** @class */ (function (_super) {
        __extends(NarikNgbDynamicForm, _super);
        function NarikNgbDynamicForm(injector, viewContainerRef) {
            return _super.call(this, injector, viewContainerRef) || this;
        }
        NarikNgbDynamicForm.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-dynamic-form , narik-ngb-dynamic-form",
                        template: "<div\r\n  class=\"dx-fieldset\"\r\n  [tab-guard]=\"activeTabGuard\"\r\n  [auto-focus]=\"activeAutoFocus\"\r\n  [autoFocusContainerName]=\"defaultFocusField\"\r\n>\r\n  <ng-container *ngFor=\"let item of fields\">\r\n\r\n  </ng-container>\r\n</div>\r\n",
                        providers: [
                            {
                                provide: narikUiCore.NarikDynamicForm,
                                useExisting: core.forwardRef(( /**
                                 * @return {?}
                                 */function () { return NarikNgbDynamicForm; }))
                            }
                        ]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDynamicForm.ctorParameters = function () {
            return [
                { type: core.Injector },
                { type: core.ViewContainerRef }
            ];
        };
        return NarikNgbDynamicForm;
    }(narikUiCore.NarikDynamicForm));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDynamicFormModule = /** @class */ (function () {
        function NarikNgbDynamicFormModule() {
        }
        NarikNgbDynamicFormModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            core$1.TranslateModule,
                            NarikNgbInputModule,
                            NarikNgbSelectModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbDatePickerModule,
                            narikCommon.NarikCommonModule
                        ],
                        declarations: [NarikNgbDynamicForm],
                        exports: [NarikNgbDynamicForm],
                        providers: []
                    },] }
        ];
        return NarikNgbDynamicFormModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbDialogContainer = /** @class */ (function () {
        function NarikNgbDialogContainer() {
            this.actions = [];
        }
        Object.defineProperty(NarikNgbDialogContainer.prototype, "contentContainerRef", {
            get: /**
             * @return {?}
             */ function () {
                return this.loaderHost.viewContainerRef;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        NarikNgbDialogContainer.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        NarikNgbDialogContainer.decorators = [
            { type: core.Component, args: [{
                        template: "",
                        styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
                    }] }
        ];
        /** @nocollapse */
        NarikNgbDialogContainer.ctorParameters = function () { return []; };
        NarikNgbDialogContainer.propDecorators = {
            loaderHost: [{ type: core.ViewChild, args: [narikCommon.ComponentLoaderHostDirective,] }]
        };
        return NarikNgbDialogContainer;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbInputDialog = /** @class */ (function () {
        function NarikNgbInputDialog() {
            this.entity = {};
            this.fields = [];
        }
        /**
         * @return {?}
         */
        NarikNgbInputDialog.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        NarikNgbInputDialog.decorators = [
            { type: core.Component, args: [{
                        template: "<div class=\"pr-2 pl-2\">\r\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\r\n</div>\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbInputDialog.ctorParameters = function () { return []; };
        return NarikNgbInputDialog;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbMessageDialog = /** @class */ (function () {
        function NarikNgbMessageDialog() {
        }
        /**
         * @return {?}
         */
        NarikNgbMessageDialog.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        NarikNgbMessageDialog.decorators = [
            { type: core.Component, args: [{
                        template: "<div class=\"card p-2\">{{message | translate}}</div>\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbMessageDialog.ctorParameters = function () { return []; };
        return NarikNgbMessageDialog;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ɵ0 = NarikNgbDialogContainer, ɵ1 = NarikNgbMessageDialog, ɵ2 = NarikNgbInputDialog;
    var NarikNgbDialogModule = /** @class */ (function () {
        function NarikNgbDialogModule() {
        }
        NarikNgbDialogModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            core$1.TranslateModule,
                            narikCommon.NarikCommonModule,
                            NarikNgbButtonModule,
                            NarikNgbDynamicFormModule
                        ],
                        declarations: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog
                        ],
                        exports: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog
                        ],
                        providers: [
                            {
                                provide: narikInfrastructure.DIALOG_CONTAINER,
                                useValue: ɵ0
                            },
                            {
                                provide: narikInfrastructure.DIALOG_MESSAGE_COMPONENT,
                                useValue: ɵ1
                            },
                            {
                                provide: narikInfrastructure.DIALOG_INPUT_COMPONENT,
                                useValue: ɵ2
                            }
                        ],
                        entryComponents: [
                            NarikNgbDialogContainer,
                            NarikNgbInputDialog,
                            NarikNgbMessageDialog
                        ]
                    },] }
        ];
        return NarikNgbDialogModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbTreeview = /** @class */ (function (_super) {
        __extends(NarikNgbTreeview, _super);
        function NarikNgbTreeview(injector) {
            return _super.call(this, injector) || this;
        }
        Object.defineProperty(NarikNgbTreeview.prototype, "selectedItem", {
            get: /**
             * @return {?}
             */ function () {
                return this._selectedItem;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this._selectedItem = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} selectedNode
         * @return {?}
         */
        NarikNgbTreeview.prototype.addNode = /**
         * @param {?} selectedNode
         * @return {?}
         */
            function (selectedNode) {
                throw new Error("Method not implemented.");
            };
        /**
         * @param {?} selectedNode
         * @return {?}
         */
        NarikNgbTreeview.prototype.deleteNode = /**
         * @param {?} selectedNode
         * @return {?}
         */
            function (selectedNode) {
                throw new Error("Method not implemented.");
            };
        NarikNgbTreeview.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-ngb-treeview narik-treeview",
                        template: ""
                    }] }
        ];
        /** @nocollapse */
        NarikNgbTreeview.ctorParameters = function () {
            return [
                { type: core.Injector }
            ];
        };
        NarikNgbTreeview.propDecorators = {
            newNodeTitle: [{ type: core.Input }]
        };
        return NarikNgbTreeview;
    }(narikUiCore.NarikTreeview));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbToolBar = /** @class */ (function (_super) {
        __extends(NarikNgbToolBar, _super);
        function NarikNgbToolBar(injector, viewContainerRef) {
            var _this = _super.call(this, injector, viewContainerRef) || this;
            _this.uniqueId = "";
            _this.uniqueId = "toolbar" + angular2Uuid.UUID.UUID();
            return _this;
        }
        NarikNgbToolBar.decorators = [
            { type: core.Component, args: [{
                        selector: "narik-toolbar , narik-ngb-toolbar",
                        template: "\r\n"
                    }] }
        ];
        /** @nocollapse */
        NarikNgbToolBar.ctorParameters = function () {
            return [
                { type: core.Injector },
                { type: core.ViewContainerRef }
            ];
        };
        return NarikNgbToolBar;
    }(narikUiCore.NarikToolBar));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbToolbarModule = /** @class */ (function () {
        function NarikNgbToolbarModule() {
        }
        NarikNgbToolbarModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            NarikNgbButtonModule,
                            core$1.TranslateModule
                        ],
                        declarations: [NarikNgbToolBar],
                        exports: [NarikNgbToolBar],
                        providers: []
                    },] }
        ];
        return NarikNgbToolbarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbTreeviewModule = /** @class */ (function () {
        function NarikNgbTreeviewModule() {
        }
        NarikNgbTreeviewModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            NarikNgbToolbarModule,
                            core$1.TranslateModule
                        ],
                        declarations: [NarikNgbTreeview],
                        exports: [NarikNgbTreeview],
                        providers: []
                    },] }
        ];
        return NarikNgbTreeviewModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikNgbCoreModule = /** @class */ (function () {
        function NarikNgbCoreModule() {
        }
        NarikNgbCoreModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [],
                        exports: [],
                        providers: []
                    },] }
        ];
        return NarikNgbCoreModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NarikUiNgBootstrapModule = /** @class */ (function () {
        function NarikUiNgBootstrapModule() {
        }
        NarikUiNgBootstrapModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            core$1.TranslateModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbBusyIndicatorModule,
                            NarikNgbButtonModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbCheckBoxListModule,
                            NarikNgbDataTableModule,
                            NarikNgbDatePickerModule,
                            NarikNgbDialogModule,
                            NarikNgbDynamicFormModule,
                            NarikNgbInputModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbSelectModule,
                            NarikNgbToolbarModule,
                            NarikNgbTreeviewModule,
                            NarikNgbCoreModule
                        ],
                        declarations: [],
                        exports: [
                            core$1.TranslateModule,
                            NarikNgbAutoCompleteModule,
                            NarikNgbBusyIndicatorModule,
                            NarikNgbButtonModule,
                            NarikNgbCheckBoxModule,
                            NarikNgbCheckBoxListModule,
                            NarikNgbDataTableModule,
                            NarikNgbDatePickerModule,
                            NarikNgbDialogModule,
                            NarikNgbDynamicFormModule,
                            NarikNgbInputModule,
                            NarikNgbRadioGroupModule,
                            NarikNgbSelectModule,
                            NarikNgbToolbarModule,
                            NarikNgbTreeviewModule,
                            NarikNgbCoreModule
                        ],
                        providers: []
                    },] }
        ];
        return NarikUiNgBootstrapModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var NarikUiListForm = /** @class */ (function (_super) {
        __extends(NarikUiListForm, _super);
        function NarikUiListForm(injector) {
            var _this = _super.call(this, injector) || this;
            _this.ds = [];
            _this.hasDataSource = false;
            return _this;
        }
        Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
            get: /**
             * @return {?}
             */ function () {
                return this.config && this.config.isServerSideData ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        NarikUiListForm.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                _super.prototype.ngOnInit.call(this);
                if (this.fields) ;
                if (this.config) {
                    if (this.isServerSide) ;
                }
            };
        /**
         * @return {?}
         */
        NarikUiListForm.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () { };
        /**
         * @param {?} result
         * @return {?}
         */
        NarikUiListForm.prototype.useData = /**
         * @param {?} result
         * @return {?}
         */
            function (result) {
                this.dataSource = ( /** @type {?} */(result.data));
            };
        /**
         * @protected
         * @param {?=} remoteDaraParams
         * @return {?}
         */
        NarikUiListForm.prototype.refresh = /**
         * @protected
         * @param {?=} remoteDaraParams
         * @return {?}
         */
            function (remoteDaraParams) {
                if (!this.isServerSide) {
                    this.getEntities();
                }
            };
        NarikUiListForm.propDecorators = {
            grid: [{ type: core.ViewChild, args: [NarikNgbDataTable,] }]
        };
        __decorate([
            narikCore.NarikInject(core$1.TranslateService),
            __metadata("design:type", core$1.TranslateService)
        ], NarikUiListForm.prototype, "translateService", void 0);
        return NarikUiListForm;
    }(narikAppCore.NarikListForm));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var /**
     * @template T
     */ NarikUiDetailForm = /** @class */ (function (_super) {
        __extends(NarikUiDetailForm, _super);
        function NarikUiDetailForm(injector) {
            return _super.call(this, injector) || this;
        }
        return NarikUiDetailForm;
    }(narikAppCore.NarikDetailForm));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NarikUiNgBootstrapModule = NarikUiNgBootstrapModule;
    exports.NarikUiListForm = NarikUiListForm;
    exports.NarikUiDetailForm = NarikUiDetailForm;
    exports.NarikNgbAutoComplete = NarikNgbAutoComplete;
    exports.NarikNgbAutoCompleteModule = NarikNgbAutoCompleteModule;
    exports.NarikNgbBusyIndicator = NarikNgbBusyIndicator;
    exports.NarikNgbBusyIndicatorModule = NarikNgbBusyIndicatorModule;
    exports.NarikNgbButtonComponent = NarikNgbButtonComponent;
    exports.NarikNgbButtonModule = NarikNgbButtonModule;
    exports.NarikNgbCheckBox = NarikNgbCheckBox;
    exports.NarikNgbCheckBoxModule = NarikNgbCheckBoxModule;
    exports.NarikNgbCheckBoxList = NarikNgbCheckBoxList;
    exports.NarikNgbCheckBoxListModule = NarikNgbCheckBoxListModule;
    exports.NarikNgbInput = NarikNgbInput;
    exports.NarikNgbInputModule = NarikNgbInputModule;
    exports.NarikNgbRadioGroup = NarikNgbRadioGroup;
    exports.NarikNgbRadioGroupModule = NarikNgbRadioGroupModule;
    exports.NarikNgbDatePicker = NarikNgbDatePicker;
    exports.NarikNgbDatePickerModule = NarikNgbDatePickerModule;
    exports.NarikNgbSelect = NarikNgbSelect;
    exports.NarikNgbSelectModule = NarikNgbSelectModule;
    exports.NarikNgbToolBar = NarikNgbToolBar;
    exports.NarikNgbToolbarModule = NarikNgbToolbarModule;
    exports.NarikNgbDynamicFormModule = NarikNgbDynamicFormModule;
    exports.NarikNgbDynamicForm = NarikNgbDynamicForm;
    exports.NarikNgbTreeview = NarikNgbTreeview;
    exports.NarikNgbTreeviewModule = NarikNgbTreeviewModule;
    exports.NarikNgbDialogContainer = NarikNgbDialogContainer;
    exports.NarikNgbDialogModule = NarikNgbDialogModule;
    exports.NarikNgbInputDialog = NarikNgbInputDialog;
    exports.NarikNgbMessageDialog = NarikNgbMessageDialog;
    exports.NarikNgbDataTable = NarikNgbDataTable;
    exports.NarikNgbDataTableModule = NarikNgbDataTableModule;
    exports.NarikNgbCoreModule = NarikNgbCoreModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=narik-ui-ng-bootstrap.umd.js.map