import { DxLoadIndicatorModule } from 'devextreme-angular/ui/load-indicator';
import { NgbTypeaheadModule, NgbDatepickerModule } from '@ng-bootstrap/ng-bootstrap';
import { DIALOG_CONTAINER, DIALOG_INPUT_COMPONENT, DIALOG_MESSAGE_COMPONENT } from 'narik-infrastructure';
import { NarikCommonModule, ComponentLoaderHostDirective } from 'narik-common';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import { UUID } from 'angular2-uuid';
import { NARIK_DATA_DISPLAY_VALUE_INPUTS, NARIK_DATA_DISPLAY_VALUE_OUTPUTS, NarikAutoComplete, NarikButton, BUTTON_DEFAULT_OPTIONS, NarikCheckBox, NARIK_CHECKBOX_INPUTS, NarikCheckBoxList, NarikDataTable, NARIK_DATE_PICKER_INPUTS, NarikDatePicker, NARIK_INPUT_INPUTS, NarikInput, NarikRadioGroup, NARIK_SELECT_INPUTS, NarikSelect, NarikDynamicForm, NarikTreeview, NarikToolBar } from 'narik-ui-core';
import { CommonModule, DOCUMENT } from '@angular/common';
import { Component, forwardRef, NgModule, Input, Renderer2, Injector, ChangeDetectorRef, Inject, ViewContainerRef, ViewChild } from '@angular/core';
import { NarikInject } from 'narik-core';
import { TranslateModule, TranslateService } from '@ngx-translate/core';
import { __extends, __decorate, __metadata, __spread } from 'tslib';
import { BusyIndicator, NarikListForm, NarikDetailForm } from 'narik-app-core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbAutoComplete = /** @class */ (function (_super) {
    __extends(NarikNgbAutoComplete, _super);
    function NarikNgbAutoComplete() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NarikNgbAutoComplete.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-autocomplete  , narik-autocomplete ",
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    outputs: __spread(NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbAutoComplete; })),
                            multi: true
                        }
                    ],
                    styles: [""]
                }] }
    ];
    return NarikNgbAutoComplete;
}(NarikAutoComplete));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbAutoCompleteModule = /** @class */ (function () {
    function NarikNgbAutoCompleteModule() {
    }
    NarikNgbAutoCompleteModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule, NgbTypeaheadModule],
                    declarations: [NarikNgbAutoComplete],
                    exports: [NarikNgbAutoComplete],
                    providers: []
                },] }
    ];
    return NarikNgbAutoCompleteModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbBusyIndicator = /** @class */ (function () {
    function NarikNgbBusyIndicator() {
    }
    /**
     * @param {?} newState
     * @param {?=} msg
     * @return {?}
     */
    NarikNgbBusyIndicator.prototype.setBusy = /**
     * @param {?} newState
     * @param {?=} msg
     * @return {?}
     */
    function (newState, msg) {
        this.isBusy = newState;
    };
    NarikNgbBusyIndicator.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-busy-indicator , narik-busy-indicator",
                    template: "\r\n",
                    providers: [
                        {
                            provide: BusyIndicator,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbBusyIndicator; }))
                        }
                    ],
                    styles: [""]
                }] }
    ];
    NarikNgbBusyIndicator.propDecorators = {
        isBusy: [{ type: Input }]
    };
    return NarikNgbBusyIndicator;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbBusyIndicatorModule = /** @class */ (function () {
    function NarikNgbBusyIndicatorModule() {
    }
    NarikNgbBusyIndicatorModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, TranslateModule],
                    declarations: [NarikNgbBusyIndicator],
                    exports: [NarikNgbBusyIndicator],
                    providers: []
                },] }
    ];
    return NarikNgbBusyIndicatorModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbButtonComponent = /** @class */ (function (_super) {
    __extends(NarikNgbButtonComponent, _super);
    function NarikNgbButtonComponent(renderer, injector) {
        var _this = _super.call(this, injector) || this;
        _this.renderer = renderer;
        return _this;
    }
    /**
     * @return {?}
     */
    NarikNgbButtonComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    NarikNgbButtonComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () { };
    NarikNgbButtonComponent.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-buuton , narik-button ",
                    template: "\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgbButtonComponent.ctorParameters = function () { return [
        { type: Renderer2 },
        { type: Injector }
    ]; };
    __decorate([
        NarikInject(BUTTON_DEFAULT_OPTIONS, {
            buttonStyle: "mat-raised-button",
            busyFontIcon: "fa-spinner"
        }),
        __metadata("design:type", Object)
    ], NarikNgbButtonComponent.prototype, "defaultOptions", void 0);
    return NarikNgbButtonComponent;
}(NarikButton));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbButtonModule = /** @class */ (function () {
    function NarikNgbButtonModule() {
    }
    NarikNgbButtonModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, DxLoadIndicatorModule],
                    declarations: [NarikNgbButtonComponent],
                    exports: [NarikNgbButtonComponent],
                    providers: []
                },] }
    ];
    return NarikNgbButtonModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbCheckBox = /** @class */ (function (_super) {
    __extends(NarikNgbCheckBox, _super);
    function NarikNgbCheckBox(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgbCheckBox.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-checkbox , narik-checkbox",
                    template: "",
                    inputs: __spread(NARIK_CHECKBOX_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbCheckBox; })),
                            multi: true
                        },
                        {
                            provide: NarikCheckBox,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbCheckBox; }))
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgbCheckBox.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgbCheckBox;
}(NarikCheckBox));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbCheckBoxModule = /** @class */ (function () {
    function NarikNgbCheckBoxModule() {
    }
    NarikNgbCheckBoxModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgbCheckBox],
                    exports: [NarikNgbCheckBox],
                    providers: []
                },] }
    ];
    return NarikNgbCheckBoxModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbCheckBoxList = /** @class */ (function (_super) {
    __extends(NarikNgbCheckBoxList, _super);
    function NarikNgbCheckBoxList(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgbCheckBoxList.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-checkbox-list , narik-checkbox-list",
                    template: "\r\n",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbCheckBoxList; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgbCheckBoxList.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgbCheckBoxList;
}(NarikCheckBoxList));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbCheckBoxListModule = /** @class */ (function () {
    function NarikNgbCheckBoxListModule() {
    }
    NarikNgbCheckBoxListModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgbCheckBoxModule
                    ],
                    declarations: [NarikNgbCheckBoxList],
                    exports: [NarikNgbCheckBoxList],
                    providers: []
                },] }
    ];
    return NarikNgbCheckBoxListModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDataTable = /** @class */ (function (_super) {
    __extends(NarikNgbDataTable, _super);
    function NarikNgbDataTable(injector, changeDetector, document) {
        var _this = _super.call(this, injector) || this;
        _this.changeDetector = changeDetector;
        _this.document = document;
        return _this;
    }
    NarikNgbDataTable.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-data-table , narik-data-table",
                    template: ""
                }] }
    ];
    /** @nocollapse */
    NarikNgbDataTable.ctorParameters = function () { return [
        { type: Injector },
        { type: ChangeDetectorRef },
        { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
    ]; };
    return NarikNgbDataTable;
}(NarikDataTable));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDataTableModule = /** @class */ (function () {
    function NarikNgbDataTableModule() {
    }
    NarikNgbDataTableModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule, TranslateModule],
                    declarations: [NarikNgbDataTable],
                    exports: [NarikNgbDataTable],
                    providers: []
                },] }
    ];
    return NarikNgbDataTableModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDatePicker = /** @class */ (function (_super) {
    __extends(NarikNgbDatePicker, _super);
    function NarikNgbDatePicker(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgbDatePicker.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-date-picker , narik-date-picker",
                    template: "\r\n",
                    inputs: __spread(NARIK_DATE_PICKER_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbDatePicker; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgbDatePicker.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgbDatePicker;
}(NarikDatePicker));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDatePickerModule = /** @class */ (function () {
    function NarikNgbDatePickerModule() {
    }
    NarikNgbDatePickerModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule, NgbDatepickerModule, TranslateModule],
                    declarations: [NarikNgbDatePicker],
                    exports: [NarikNgbDatePicker],
                    providers: []
                },] }
    ];
    return NarikNgbDatePickerModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbInput = /** @class */ (function (_super) {
    __extends(NarikNgbInput, _super);
    function NarikNgbInput(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgbInput.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-input , narik-input",
                    template: "",
                    inputs: __spread(NARIK_INPUT_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbInput; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgbInput.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgbInput;
}(NarikInput));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbInputModule = /** @class */ (function () {
    function NarikNgbInputModule() {
    }
    NarikNgbInputModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgbInput],
                    exports: [NarikNgbInput],
                    providers: []
                },] }
    ];
    return NarikNgbInputModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbRadioGroup = /** @class */ (function (_super) {
    __extends(NarikNgbRadioGroup, _super);
    function NarikNgbRadioGroup(injector) {
        return _super.call(this, injector) || this;
    }
    NarikNgbRadioGroup.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-radio-group , narik-radio-group",
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbRadioGroup; })),
                            multi: true
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgbRadioGroup.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgbRadioGroup;
}(NarikRadioGroup));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbRadioGroupModule = /** @class */ (function () {
    function NarikNgbRadioGroupModule() {
    }
    NarikNgbRadioGroupModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgbRadioGroup],
                    exports: [NarikNgbRadioGroup],
                    providers: []
                },] }
    ];
    return NarikNgbRadioGroupModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbSelect = /** @class */ (function (_super) {
    __extends(NarikNgbSelect, _super);
    function NarikNgbSelect(injector) {
        var _this = _super.call(this, injector) || this;
        _this.optionData = [];
        return _this;
    }
    /**
     * @protected
     * @param {?} data
     * @return {?}
     */
    NarikNgbSelect.prototype.useData = /**
     * @protected
     * @param {?} data
     * @return {?}
     */
    function (data) {
        this.optionData = data;
    };
    NarikNgbSelect.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-select , narik-select",
                    template: "",
                    inputs: __spread(NARIK_DATA_DISPLAY_VALUE_INPUTS, NARIK_SELECT_INPUTS),
                    outputs: __spread(NARIK_DATA_DISPLAY_VALUE_OUTPUTS),
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbSelect; })),
                            multi: true
                        }
                    ],
                    styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:-webkit-sticky;position:sticky;background-color:#fff;z-index:10000}"]
                }] }
    ];
    /** @nocollapse */
    NarikNgbSelect.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    return NarikNgbSelect;
}(NarikSelect));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbSelectModule = /** @class */ (function () {
    function NarikNgbSelectModule() {
    }
    NarikNgbSelectModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgbSelect],
                    exports: [NarikNgbSelect],
                    providers: []
                },] }
    ];
    return NarikNgbSelectModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDynamicForm = /** @class */ (function (_super) {
    __extends(NarikNgbDynamicForm, _super);
    function NarikNgbDynamicForm(injector, viewContainerRef) {
        return _super.call(this, injector, viewContainerRef) || this;
    }
    NarikNgbDynamicForm.decorators = [
        { type: Component, args: [{
                    selector: "narik-dynamic-form , narik-ngb-dynamic-form",
                    template: "<div\r\n  class=\"dx-fieldset\"\r\n  [tab-guard]=\"activeTabGuard\"\r\n  [auto-focus]=\"activeAutoFocus\"\r\n  [autoFocusContainerName]=\"defaultFocusField\"\r\n>\r\n  <ng-container *ngFor=\"let item of fields\">\r\n\r\n  </ng-container>\r\n</div>\r\n",
                    providers: [
                        {
                            provide: NarikDynamicForm,
                            useExisting: forwardRef((/**
                             * @return {?}
                             */
                            function () { return NarikNgbDynamicForm; }))
                        }
                    ]
                }] }
    ];
    /** @nocollapse */
    NarikNgbDynamicForm.ctorParameters = function () { return [
        { type: Injector },
        { type: ViewContainerRef }
    ]; };
    return NarikNgbDynamicForm;
}(NarikDynamicForm));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDynamicFormModule = /** @class */ (function () {
    function NarikNgbDynamicFormModule() {
    }
    NarikNgbDynamicFormModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule,
                        NarikNgbInputModule,
                        NarikNgbSelectModule,
                        NarikNgbCheckBoxModule,
                        NarikNgbRadioGroupModule,
                        NarikNgbAutoCompleteModule,
                        NarikNgbDatePickerModule,
                        NarikCommonModule
                    ],
                    declarations: [NarikNgbDynamicForm],
                    exports: [NarikNgbDynamicForm],
                    providers: []
                },] }
    ];
    return NarikNgbDynamicFormModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbDialogContainer = /** @class */ (function () {
    function NarikNgbDialogContainer() {
        this.actions = [];
    }
    Object.defineProperty(NarikNgbDialogContainer.prototype, "contentContainerRef", {
        get: /**
         * @return {?}
         */
        function () {
            return this.loaderHost.viewContainerRef;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    NarikNgbDialogContainer.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    NarikNgbDialogContainer.decorators = [
        { type: Component, args: [{
                    template: "",
                    styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
                }] }
    ];
    /** @nocollapse */
    NarikNgbDialogContainer.ctorParameters = function () { return []; };
    NarikNgbDialogContainer.propDecorators = {
        loaderHost: [{ type: ViewChild, args: [ComponentLoaderHostDirective,] }]
    };
    return NarikNgbDialogContainer;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbInputDialog = /** @class */ (function () {
    function NarikNgbInputDialog() {
        this.entity = {};
        this.fields = [];
    }
    /**
     * @return {?}
     */
    NarikNgbInputDialog.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    NarikNgbInputDialog.decorators = [
        { type: Component, args: [{
                    template: "<div class=\"pr-2 pl-2\">\r\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\r\n</div>\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgbInputDialog.ctorParameters = function () { return []; };
    return NarikNgbInputDialog;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbMessageDialog = /** @class */ (function () {
    function NarikNgbMessageDialog() {
    }
    /**
     * @return {?}
     */
    NarikNgbMessageDialog.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    NarikNgbMessageDialog.decorators = [
        { type: Component, args: [{
                    template: "<div class=\"card p-2\">{{message | translate}}</div>\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgbMessageDialog.ctorParameters = function () { return []; };
    return NarikNgbMessageDialog;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ɵ0 = NarikNgbDialogContainer, ɵ1 = NarikNgbMessageDialog, ɵ2 = NarikNgbInputDialog;
var NarikNgbDialogModule = /** @class */ (function () {
    function NarikNgbDialogModule() {
    }
    NarikNgbDialogModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule,
                        NarikCommonModule,
                        NarikNgbButtonModule,
                        NarikNgbDynamicFormModule
                    ],
                    declarations: [
                        NarikNgbDialogContainer,
                        NarikNgbInputDialog,
                        NarikNgbMessageDialog
                    ],
                    exports: [
                        NarikNgbDialogContainer,
                        NarikNgbInputDialog,
                        NarikNgbMessageDialog
                    ],
                    providers: [
                        {
                            provide: DIALOG_CONTAINER,
                            useValue: ɵ0
                        },
                        {
                            provide: DIALOG_MESSAGE_COMPONENT,
                            useValue: ɵ1
                        },
                        {
                            provide: DIALOG_INPUT_COMPONENT,
                            useValue: ɵ2
                        }
                    ],
                    entryComponents: [
                        NarikNgbDialogContainer,
                        NarikNgbInputDialog,
                        NarikNgbMessageDialog
                    ]
                },] }
    ];
    return NarikNgbDialogModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbTreeview = /** @class */ (function (_super) {
    __extends(NarikNgbTreeview, _super);
    function NarikNgbTreeview(injector) {
        return _super.call(this, injector) || this;
    }
    Object.defineProperty(NarikNgbTreeview.prototype, "selectedItem", {
        get: /**
         * @return {?}
         */
        function () {
            return this._selectedItem;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._selectedItem = value;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    NarikNgbTreeview.prototype.addNode = /**
     * @param {?} selectedNode
     * @return {?}
     */
    function (selectedNode) {
        throw new Error("Method not implemented.");
    };
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    NarikNgbTreeview.prototype.deleteNode = /**
     * @param {?} selectedNode
     * @return {?}
     */
    function (selectedNode) {
        throw new Error("Method not implemented.");
    };
    NarikNgbTreeview.decorators = [
        { type: Component, args: [{
                    selector: "narik-ngb-treeview narik-treeview",
                    template: ""
                }] }
    ];
    /** @nocollapse */
    NarikNgbTreeview.ctorParameters = function () { return [
        { type: Injector }
    ]; };
    NarikNgbTreeview.propDecorators = {
        newNodeTitle: [{ type: Input }]
    };
    return NarikNgbTreeview;
}(NarikTreeview));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbToolBar = /** @class */ (function (_super) {
    __extends(NarikNgbToolBar, _super);
    function NarikNgbToolBar(injector, viewContainerRef) {
        var _this = _super.call(this, injector, viewContainerRef) || this;
        _this.uniqueId = "";
        _this.uniqueId = "toolbar" + UUID.UUID();
        return _this;
    }
    NarikNgbToolBar.decorators = [
        { type: Component, args: [{
                    selector: "narik-toolbar , narik-ngb-toolbar",
                    template: "\r\n"
                }] }
    ];
    /** @nocollapse */
    NarikNgbToolBar.ctorParameters = function () { return [
        { type: Injector },
        { type: ViewContainerRef }
    ]; };
    return NarikNgbToolBar;
}(NarikToolBar));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbToolbarModule = /** @class */ (function () {
    function NarikNgbToolbarModule() {
    }
    NarikNgbToolbarModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgbButtonModule,
                        TranslateModule
                    ],
                    declarations: [NarikNgbToolBar],
                    exports: [NarikNgbToolBar],
                    providers: []
                },] }
    ];
    return NarikNgbToolbarModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbTreeviewModule = /** @class */ (function () {
    function NarikNgbTreeviewModule() {
    }
    NarikNgbTreeviewModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgbToolbarModule,
                        TranslateModule
                    ],
                    declarations: [NarikNgbTreeview],
                    exports: [NarikNgbTreeview],
                    providers: []
                },] }
    ];
    return NarikNgbTreeviewModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikNgbCoreModule = /** @class */ (function () {
    function NarikNgbCoreModule() {
    }
    NarikNgbCoreModule.decorators = [
        { type: NgModule, args: [{
                    imports: [CommonModule],
                    declarations: [],
                    exports: [],
                    providers: []
                },] }
    ];
    return NarikNgbCoreModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NarikUiNgBootstrapModule = /** @class */ (function () {
    function NarikUiNgBootstrapModule() {
    }
    NarikUiNgBootstrapModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        TranslateModule,
                        NarikNgbAutoCompleteModule,
                        NarikNgbBusyIndicatorModule,
                        NarikNgbButtonModule,
                        NarikNgbCheckBoxModule,
                        NarikNgbCheckBoxListModule,
                        NarikNgbDataTableModule,
                        NarikNgbDatePickerModule,
                        NarikNgbDialogModule,
                        NarikNgbDynamicFormModule,
                        NarikNgbInputModule,
                        NarikNgbRadioGroupModule,
                        NarikNgbSelectModule,
                        NarikNgbToolbarModule,
                        NarikNgbTreeviewModule,
                        NarikNgbCoreModule
                    ],
                    declarations: [],
                    exports: [
                        TranslateModule,
                        NarikNgbAutoCompleteModule,
                        NarikNgbBusyIndicatorModule,
                        NarikNgbButtonModule,
                        NarikNgbCheckBoxModule,
                        NarikNgbCheckBoxListModule,
                        NarikNgbDataTableModule,
                        NarikNgbDatePickerModule,
                        NarikNgbDialogModule,
                        NarikNgbDynamicFormModule,
                        NarikNgbInputModule,
                        NarikNgbRadioGroupModule,
                        NarikNgbSelectModule,
                        NarikNgbToolbarModule,
                        NarikNgbTreeviewModule,
                        NarikNgbCoreModule
                    ],
                    providers: []
                },] }
    ];
    return NarikUiNgBootstrapModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
var NarikUiListForm = /** @class */ (function (_super) {
    __extends(NarikUiListForm, _super);
    function NarikUiListForm(injector) {
        var _this = _super.call(this, injector) || this;
        _this.ds = [];
        _this.hasDataSource = false;
        return _this;
    }
    Object.defineProperty(NarikUiListForm.prototype, "isServerSide", {
        get: /**
         * @return {?}
         */
        function () {
            return this.config && this.config.isServerSideData ? true : false;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    NarikUiListForm.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        _super.prototype.ngOnInit.call(this);
        if (this.fields) ;
        if (this.config) {
            if (this.isServerSide) ;
        }
    };
    /**
     * @return {?}
     */
    NarikUiListForm.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} result
     * @return {?}
     */
    NarikUiListForm.prototype.useData = /**
     * @param {?} result
     * @return {?}
     */
    function (result) {
        this.dataSource = (/** @type {?} */ (result.data));
    };
    /**
     * @protected
     * @param {?=} remoteDaraParams
     * @return {?}
     */
    NarikUiListForm.prototype.refresh = /**
     * @protected
     * @param {?=} remoteDaraParams
     * @return {?}
     */
    function (remoteDaraParams) {
        if (!this.isServerSide) {
            this.getEntities();
        }
    };
    NarikUiListForm.propDecorators = {
        grid: [{ type: ViewChild, args: [NarikNgbDataTable,] }]
    };
    __decorate([
        NarikInject(TranslateService),
        __metadata("design:type", TranslateService)
    ], NarikUiListForm.prototype, "translateService", void 0);
    return NarikUiListForm;
}(NarikListForm));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
var  /**
 * @template T
 */
NarikUiDetailForm = /** @class */ (function (_super) {
    __extends(NarikUiDetailForm, _super);
    function NarikUiDetailForm(injector) {
        return _super.call(this, injector) || this;
    }
    return NarikUiDetailForm;
}(NarikDetailForm));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { NarikUiNgBootstrapModule, NarikUiListForm, NarikUiDetailForm, NarikNgbAutoComplete, NarikNgbAutoCompleteModule, NarikNgbBusyIndicator, NarikNgbBusyIndicatorModule, NarikNgbButtonComponent, NarikNgbButtonModule, NarikNgbCheckBox, NarikNgbCheckBoxModule, NarikNgbCheckBoxList, NarikNgbCheckBoxListModule, NarikNgbInput, NarikNgbInputModule, NarikNgbRadioGroup, NarikNgbRadioGroupModule, NarikNgbDatePicker, NarikNgbDatePickerModule, NarikNgbSelect, NarikNgbSelectModule, NarikNgbToolBar, NarikNgbToolbarModule, NarikNgbDynamicFormModule, NarikNgbDynamicForm, NarikNgbTreeview, NarikNgbTreeviewModule, NarikNgbDialogContainer, NarikNgbDialogModule, NarikNgbInputDialog, NarikNgbMessageDialog, NarikNgbDataTable, NarikNgbDataTableModule, NarikNgbCoreModule };

//# sourceMappingURL=narik-ui-ng-bootstrap.js.map